%define major 0
%define libchromaprint %mklibname %{name} %major
%define develname %mklibname -d %{name}

Name:		chromaprint
Version:        1.1
Release:        %mkrel 1
Summary:        Library implementing the AcoustID fingerprinting

Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.acoustid.org/chromaprint/
Source:         https://bitbucket.org/acoustid/chromaprint/downloads/%name-%version.tar.gz

BuildRequires:	cmake
BuildRequires:	fftw-devel >= 3
BuildRequires:	ffmpeg-devel
BuildRequires:	taglib-devel

%description
Chromaprint library is the core component of the AcoustID project. It's a 
client-side library that implements a custom algorithm for extracting 
fingerprints from raw audio sources.

The library exposes a simple C API. The documentation for the C API can be
found in the main header file.

%package -n %{libchromaprint}
Summary:        Library implementing the AcoustID fingerprinting
Group:          System/Libraries

%description -n %{libchromaprint}
Chromaprint library is the core component of the AcoustID project. It's a 
client-side library that implements a custom algorithm for extracting 
fingerprints from raw audio sources.

The library exposes a simple C API. The documentation for the C API can be
found in the main header file.

%package -n %{develname}
Summary:        Headers for developing programs that will use %{name} 
Group:          Development/C
Requires:       %{libchromaprint} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}chromaprint0-devel < %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}. 

%prep
%setup -q
%apply_patches

%build
%cmake -DBUILD_EXAMPLES=on
%make

%install
%makeinstall_std -C build
rm -f %{buildroot}%{_libdir}/lib*.la

%files
%_bindir/fpcalc

%files -n %{libchromaprint}
%doc COPYING.txt NEWS.txt README.txt
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%{_includedir}/chromaprint.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Dec 07 2013 bersuit <bersuit> 1.1-1.mga4
+ Revision: 555827
- Update to new upstream version 1.1

* Sat Oct 19 2013 umeabot <umeabot> 1.0-2.mga4
+ Revision: 534176
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 gw666 <gw666> 1.0-1.mga4
+ Revision: 476347
- new version
- fix source URL
- drop patch

* Thu Jul 11 2013 fwang <fwang> 0.7-7.mga4
+ Revision: 452814
- more patch on ffmpeg
- rebuild for new ffmpeg

* Thu Apr 11 2013 gw666 <gw666> 0.7-6.mga3
+ Revision: 409701
- fix fpcalc (bug #9705)

* Fri Jan 11 2013 umeabot <umeabot> 0.7-5.mga3
+ Revision: 347712
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.7-4.mga3
+ Revision: 341589
- rebuild for new ffmpeg

* Thu Oct 25 2012 fwang <fwang> 0.7-3.mga3
+ Revision: 310028
- cleanup spec

* Mon Oct 22 2012 gw666 <gw666> 0.7-2.mga3
+ Revision: 309153
- enable build of fpcalc (used by picard)

* Tue Sep 25 2012 juancho <juancho> 0.7-1.mga3
+ Revision: 297418
- Updated to 0.7

* Wed Jun 06 2012 juancho <juancho> 0.6-2.mga3
+ Revision: 256035
- Fixed typo in %%mklibname call
- Fixed Requires for devel package
- Added Provides chromaprint-devel to devel package

* Tue Jun 05 2012 juancho <juancho> 0.6-1.mga3
+ Revision: 255975
- Fixed misspelled library macro name
- Fixed group for devel package
- Removed unneeded Obsoletes
- imported package chromaprint


* Tue Feb 7 2012 Ismael Olea <ismael@olea.org> - 0.6-4
- moved the obsoletes python-chromaprint to libchromaprint

* Mon Feb 6 2012 Ismael Olea <ismael@olea.org> - 0.6-3
- cosmetic SPEC changes
- obsoleting python-chromaprint (see #786946)

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 27 2011 Ismael Olea <ismael@olea.org> - 0.6-1
- update to 0.6
- python bindings removed
- python not a requirment now

* Wed Dec 07 2011 Ismael Olea <ismael@olea.org> - 0.5-4
- minor spec enhancements

* Mon Dec 05 2011 Ismael Olea <ismael@olea.org> - 0.5-3
- Macro cleaning at spec

* Thu Nov 18 2011 Ismael Olea <ismael@olea.org> - 0.5-2
- first version for Fedora

* Thu Nov 10 2011 Ismael Olea <ismael@olea.org> - 0.5-1
- update to 0.5
- subpackage for fpcalc 

* Sat Aug 06 2011 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4-1
- Initial package
